# Python script for splitting videos into tiles with ffmpeg

It supports simple grid definitions and advanced layout definitions from a json layout definition file.

## Installation
Install git, ffmpeg and python3 with pip on your system  
Debian: 
```
sudo apt install git ffmpeg python3 python3-pip
```
Clone this git repository
```
git clone https://git.notice.at/redplanet/video-shredder.git
```
Enter directory and install python requirements
```
pip3 install -r requirements.txt
```

## Usage
grid mode:
```
python3 videoshredder.py grid <columns> <rows> <input_file> <output_path>
```

file mode:
```
python3 videoshredder.py file <layout_path> <input_file> <output_path>
```